Bug Hunting Session
Bug 103768 - EDITING: 3D object can't be selected again after playing it
Summary: EDITING: 3D object can't be selected again after playing it
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha1+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 103884
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2016-11-07 21:09 UTC by Xisco Faulí
Modified: 2018-10-07 17:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (188.52 KB, application/vnd.oasis.opendocument.presentation)
2016-11-07 21:09 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-11-07 21:09:55 UTC
Created attachment 128556 [details]
sample

1. Open attached image ( extracted from bug 103735 )
2. Select the image
3. Click on play button in the sidebar
4. Click on the title or somewhere else in the slide

Observed behavior: Image can't be selected anymore
Expected behavior: Image can be selected

Reproduced in

Version: 5.3.0.0.alpha1+
Build ID: 8a2a3f1032b4e60f7607e3ecb1ff99a6bb9af7f9
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; VCL: gtk2; Layout Engine: new; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 A (Andy) 2016-11-12 08:30:24 UTC
I have some questions:

You have selected the component DRAW for this bug report, the attachment is a Presentation and the link in step 1 leads to a Writer file and bug?
Is there maybe a typing error, should it be a test in IMPRESS?
Comment 2 Xisco Faulí 2016-11-12 10:46:21 UTC
Hello Andy,
You're right, the file was extracted from bug 103670
it's important to mention that the problem can be reproduced only with GTK2 but not with GTK3 as there's bug 103670 blocking it.
Comment 3 Xisco Faulí 2016-11-12 11:07:10 UTC
Actually I created bug 103884 for the GTK3 problem
Comment 4 Buovjaga 2016-11-25 13:03:45 UTC
Reproduced inability to select duck.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: f1eb0bf75296ee9c59241507a1e03f4de770afa1
CPU Threads: 8; OS Version: Linux 4.8; UI Render: default; VCL: kde4; Layout Engine: new; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on November 25th 2016
Comment 5 QA Administrators 2017-11-26 17:11:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug